Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMsourceByName.SubSourceByName

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsourceByName.SubSourceByName

All Implemented Interfaces:
  OCMbase.SubBase, OCMsource.SubSource

Direct Known Subclasses:
  DTDbyName.SubDTDbyName

Enclosing class:
  OCMsourceByName

public class OCMsourceByName.SubSourceByName
extends Object
implements OCMsource.SubSource

A processing object spawned from an OCMsourceByName object.

Field Summary
`Object` | `docName` Input document URL.
`QDoc` | `outputDoc` The output document.
`Map` | `properties` The config properties

Constructor Summary
`OCMsourceByName.SubSourceByName(HashMap prior)`

Method Summary
`QDoc` | `getDoc()` Returns the document.
`QDoc` | `getSchemaDoc()` Returns the schema document.
`void` | `setInputDocName(Object docName)` Sets the input doc name.
`void` | `setProperties(Map properties)` Sets the config properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docName

    public Object docName

  Input document URL.

### properties

    public Map properties

  The config properties

### outputDoc

    public QDoc outputDoc

  The output document.

Constructor Detail

### OCMsourceByName.SubSourceByName

    public OCMsourceByName.SubSourceByName(HashMap prior)

Method Detail

### getSchemaDoc

    public QDoc getSchemaDoc()
                      throws SAXException,
                             IOException

  Description copied from interface: `OCMsource.SubSource`
  Returns the schema document.
  Specified by:
    `getSchemaDoc` in interface `OCMsource.SubSource`

### setInputDocName

    public void setInputDocName(Object docName)
                         throws SAXException,
                                IOException

  Description copied from interface: `OCMsource.SubSource`
  Sets the input doc name.
  Specified by:
    `setInputDocName` in interface `OCMsource.SubSource`

### getDoc

    public QDoc getDoc()
                throws SAXException,
                       IOException

  Description copied from interface: `OCMsource.SubSource`
  Returns the document.
  Specified by:
    `getDoc` in interface `OCMsource.SubSource`

### setProperties

    public void setProperties(Map properties)

  Sets the config properties
  Specified by:
    `setProperties` in interface `OCMsource.SubSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD